/*
 * Class UNBOUNDED [NATURAL_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1733 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1733 [] = {0xFF01,1551,1732,860,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1733 [] = {0xFF01,1732,860,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1733 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1733 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1733 [] = {0xFF01,1732,860,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1733 [] = {0xFF01,1732,860,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1733 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1733 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1733 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1733 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1733 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1733 [] = {1732,860,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1733 [] = {0xFF01,1732,860,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1733 [] = {0xFF01,1722,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1733 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1733[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1733), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1733), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1733), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1733), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1733), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1733), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1733), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1733), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1733), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1733), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1733), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1733), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1733), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1733), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9209, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8618, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8619, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8620, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8621, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8622, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1733), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1733), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
};
void Init1733(void)
{
	IDSC(desc_1733, 0, 1732);
	IDSC(desc_1733 + 1, 1, 1732);
	IDSC(desc_1733 + 32, 1134, 1732);
	IDSC(desc_1733 + 41, 554, 1732);
	IDSC(desc_1733 + 42, 878, 1732);
}


#ifdef __cplusplus
}
#endif
